{
    num: 664,
    accuracy: 100,
    basePower: 80,
    category: "Special",
    name: "Sparkling Aria",
    pp: 10,
    priority: 0,
    flags: {protect: 1, mirror: 1, sound: 1, bypasssub: 1, heal: 1, metronome: 1},
    secondary: {
        dustproof: true,
        chance: 100,
        volatileStatus: 'sparklingaria',
    },
    onBasePower(basePower, source, target, move) {
        if (target.status === 'brn') {
            return this.chainModify(1.5);
        }
    },
    onAfterMove(source, target, move) {
        let shouldHealAllies = false;
        for (const pokemon of this.getAllActive()) {
            if (pokemon.side !== source.side && pokemon.volatiles['sparklingaria']) {
                shouldHealAllies = true;
                break;
            }
        }

        if (shouldHealAllies) {
            for (const ally of source.adjacentAllies()) {
                if (source.volatiles['healblock'] || ally.volatiles['healblock']) {
                    continue;
                }

                if (!ally.fainted) {
                    this.heal(ally.baseMaxhp / 16, ally, source);

                    if (ally.status === 'brn') {
                        ally.cureStatus();
                    }
                }
            }
        }

        for (const pokemon of this.getAllActive()) {
            if (pokemon !== source && pokemon.removeVolatile('sparklingaria') && pokemon.status === 'brn' && !source.fainted) {
                pokemon.cureStatus();
            }
        }
    },
    target: "allAdjacentFoes",
    type: "Water",
    contestType: "Tough",
}
